# Подключение внешних проектов
include(ExternalProject)

set(MYX_MATH_PREFIX
    ${CMAKE_BINARY_DIR}
    CACHE FILEPATH "" FORCE)
set(MYX_MATH_INCLUDE_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(MYX_MATH_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(MYX_MATH_LIBRARY_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}
    CACHE PATH "" FORCE)
set(MYX_MATH_LIBRARIES
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}/libmyx-math.a
    CACHE FILEPATH "" FORCE)

# cmake-format: off
list(APPEND _ext_project_args
  myx-math
  SOURCE_DIR       ${CMAKE_SOURCE_DIR}/thirdparty/myx-math
  INSTALL_DIR      ${CMAKE_BINARY_DIR}
  CMAKE_ARGS       ${CMLIB_EXT_PROJ_DEFAULT_ARGS}
                   <SOURCE_DIR>)
if(MyxRedisThirdparty_FIND_COMPONENTS STREQUAL "headers")
  list(APPEND _ext_project_args
    BUILD_COMMAND    true
    INSTALL_COMMAND  ${CMAKE_MAKE_PROGRAM} myx-math-install-headers)
else()
  list(APPEND _ext_project_args
    BUILD_BYPRODUCTS ${MYX_MATH_LIBRARIES})
endif()
ExternalProject_Add(${_ext_project_args})
unset(_ext_project_args)

set(MYX_MATH_IS_EXTERNAL_PROJECT ON CACHE BOOL "" FORCE)
# cmake-format: on
